Package org.opensaml.saml.saml2.core.impl

# Class IDPEntryImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.core.impl.IDPEntryImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `IDPEntry`

public class IDPEntryImpl extends AbstractXMLObject implements IDPEntry
Concrete implementation of `IDPEntry`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`loc`
URI reference representing the location of a profile-specific endpoint supporting the authentication request protocol.
`private String`
`name`
Human-readable name for the IdP.
`private String`
`providerID`
The unique identifier of the IdP.

### Fields inherited from interface org.opensaml.saml.saml2.core.IDPEntry

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, LOC_ATTRIB_NAME, NAME_ATTRIB_NAME, PROVIDER_ID_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`IDPEntryImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLoc()`
Gets the Loc value.
`String`
`getName()`
Gets the Name value.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getProviderID()`
Gets ProviderID URI.
`void`
`setLoc(String newLoc)`
Sets the Loc value.
`void`
`setName(String newName)`
Sets the Name value.
`void`
`setProviderID(String newProviderID)`
Sets the ProviderID URI.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### providerID

@Nullable private String providerID
The unique identifier of the IdP.

### name

@Nullable private String name
Human-readable name for the IdP.

### loc

@Nullable private String loc
URI reference representing the location of a profile-specific endpoint supporting the authentication request protocol.

## Constructor Details

### IDPEntryImpl

protected IDPEntryImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getProviderID

@Nullable public String getProviderID()
Gets ProviderID URI.

Specified by:
  `getProviderID` in interface `IDPEntry`
Returns:
  the ProviderID URI

### setProviderID

public void setProviderID(@Nullable String newProviderID)
Sets the ProviderID URI.

Specified by:
  `setProviderID` in interface `IDPEntry`
Parameters:
  `newProviderID` - the new ProviderID URI

### getName

@Nullable public String getName()
Gets the Name value.

Specified by:
  `getName` in interface `IDPEntry`
Returns:
  the Name value

### setName

public void setName(@Nullable String newName)
Sets the Name value.

Specified by:
  `setName` in interface `IDPEntry`
Parameters:
  `newName` - the Name value

### getLoc

@Nullable public String getLoc()
Gets the Loc value.

Specified by:
  `getLoc` in interface `IDPEntry`
Returns:
  the Loc value

### setLoc

public void setLoc(@Nullable String newLoc)
Sets the Loc value.

Specified by:
  `setLoc` in interface `IDPEntry`
Parameters:
  `newLoc` - the new Loc value

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements